EUCA-CREATE-CUSTOMER-GATEWAY(1)

NAME
euca-create-customer-gateway - Create a VPN customer gateway

SYNOPSIS
euca-create-customer-gateway -t ipsec.1 -i ADDRESS [-b ASN]

[--show-empty-fields] [-U URL]
    [--region USER@REGION] [-I KEY_ID] [-S KEY] [--security-token TOKEN] [--debug] [--debugger] [--version] [-h]

DESCRIPTION
Create a VPN customer gateway

DESCRIPTION
This is the external side of a VPN connection. You will also need to create a virtual private gateway with euca-create-vpn-gateway(1).

  optional arguments:

-t ipsec.1, --type ipsec.1
    the type of VPN connection to use (required)

-i ADDRESS, --ip ADDRESS
    the new customer gateway's cloud-facing IP address (required)

-b ASN, --bgp-asn ASN
    the new customer gateway's BGP AS number

--show-empty-fields
    show empty values as "(nil)"

-U URL, --url URL
    compute service endpoint URL

--region USER@REGION
    region and/or user names to search when looking up config file data

-I KEY_ID, --access-key-id KEY_ID

-S KEY, --secret-key KEY

--security-token TOKEN

--debug
    show debugging output

--debugger
    launch interactive debugger on error

--version
    show the program's version and exit

-h, --help
    show this help message and exit